Vulnerability CVE-2004-0884


Published: 2005-01-27   Modified: 2012-02-12

Description:
The (1) libsasl and (2) libsasl2 libraries in Cyrus-SASL 2.1.18 and earlier trust the SASL_PATH environment variable to find all available SASL plug-ins, which allows local users to execute arbitrary code by modifying the SASL_PATH to point to malicious programs.

CVSS2 => (AV:L/AC:L/Au:N/C:C/I:C/A:C)

CVSS Base Score
Impact Subscore
Exploitability Subscore
7.2/10
10/10
3.9/10
Exploit range
Attack complexity
Authentication
Local
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Complete
Complete
Complete
Affected software
Cyrus -> SASL 
Conectiva -> Linux 

 References:
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=134657
http://lists.apple.com/archives/security-announce/2005/Mar/msg00000.html
http://marc.info/?l=bugtraq&m=110693126007214&w=2
http://rhn.redhat.com/errata/RHSA-2004-546.html
http://www.ciac.org/ciac/bulletins/p-003.shtml
http://www.debian.org/security/2004/dsa-563
http://www.debian.org/security/2004/dsa-568
http://www.gentoo.org/security/en/glsa/glsa-200410-05.xml
http://www.mandriva.com/security/advisories?name=MDKSA-2004:106
http://www.securityfocus.com/bid/11347
http://www.trustix.net/errata/2004/0053/
https://bugzilla.fedora.us/show_bug.cgi?id=2137
https://exchange.xforce.ibmcloud.com/vulnerabilities/17643
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A11678

Copyright 2021, cxsecurity.com

 

Back to Top